package com.fxy.bean.realm;

import android.os.Parcel;
import android.os.Parcelable;

import io.realm.RealmObject;

/**
 * 项目名称：FingerStorage
 * 类描述：货物基础数据表(缓存本地数据库)
 * 创建人：admin
 * 创建时间：2018/4/27 17:19
 * 修改人：COMP-021-2006
 * 修改时间：2018/4/27 17:19
 * 修改备注：
 */
public class CargoBaseModel extends RealmObject implements Parcelable {
    /**
     * 商品id
     */
    private String id;
    /**
     * 产品编码
     */
    private String goodsCode;
    /**
     * 商品名称
     */
    private String goodsName;
    /**
     * 单位(米/支、码/支)
     */
    private String unit;
    /**
     * 规格
     */
    private String specification;
    /**
     * 重量
     */
    private String weight;
    /**
     * 商品抬头
     */
    private String goodsNameTitle;
    /**
     * 商品品牌
     */
    private String goodsBrandCode;
    /**
     * 商品图片
     */
    private String goodsPic;
    /**
     * 商品简介
     */
    private String goodsInfo;
    /**
     * 品牌名称
     */
    private String brandName;
    /**
     * 品牌英文名称
     */
    private String brandNameEn;
    /**
     * 产地
     */
    private String origin;
    /**
     * 长度
     */
    private String goodsLength;
    /**
     * 宽度
     */
    private String goodsWidth;
    /**
     * 高度
     */
    private String goodsHeight;
    /**
     * 保质期
     */
    private String shelfLife;
    /**
     * 温度类型
     */
    private String temperatureType;
    /**
     * 温度起
     */
    private String temperatureStart;
    /**
     * 温度至
     */
    private String temperatureEnd;
    /**
     * 湿度类型
     */
    private String humidityType;
    /**
     * 湿度起
     */
    private String humidityStart;
    /**
     * 湿度至
     */
    private String humidityEnd;


    @Override
    public String toString() {
        return "CargoBaseModel{" +
                "id='" + id + '\'' +
                ", goodsCode='" + goodsCode + '\'' +
                ", goodsName='" + goodsName + '\'' +
                ", unit='" + unit + '\'' +
                ", specification='" + specification + '\'' +
                ", weight='" + weight + '\'' +
                ", goodsNameTitle='" + goodsNameTitle + '\'' +
                ", goodsBrandCode='" + goodsBrandCode + '\'' +
                ", goodsPic='" + goodsPic + '\'' +
                ", goodsInfo='" + goodsInfo + '\'' +
                ", brandName='" + brandName + '\'' +
                ", brandNameEn='" + brandNameEn + '\'' +
                ", origin='" + origin + '\'' +
                ", goodsLength='" + goodsLength + '\'' +
                ", goodsWidth='" + goodsWidth + '\'' +
                ", goodsHeight='" + goodsHeight + '\'' +
                ", shelfLife='" + shelfLife + '\'' +
                ", temperatureType='" + temperatureType + '\'' +
                ", temperatureStart='" + temperatureStart + '\'' +
                ", temperatureEnd='" + temperatureEnd + '\'' +
                ", humidityType='" + humidityType + '\'' +
                ", humidityStart='" + humidityStart + '\'' +
                ", humidityEnd='" + humidityEnd + '\'' +
                '}';
    }

    public CargoBaseModel() {
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getGoodsCode() {
        return goodsCode;
    }

    public void setGoodsCode(String goodsCode) {
        this.goodsCode = goodsCode;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getSpecification() {
        return specification;
    }

    public void setSpecification(String specification) {
        this.specification = specification;
    }

    public String getWeight() {
        return weight;
    }

    public void setWeight(String weight) {
        this.weight = weight;
    }

    public String getGoodsNameTitle() {
        return goodsNameTitle;
    }

    public void setGoodsNameTitle(String goodsNameTitle) {
        this.goodsNameTitle = goodsNameTitle;
    }

    public String getGoodsBrandCode() {
        return goodsBrandCode;
    }

    public void setGoodsBrandCode(String goodsBrandCode) {
        this.goodsBrandCode = goodsBrandCode;
    }

    public String getGoodsPic() {
        return goodsPic;
    }

    public void setGoodsPic(String goodsPic) {
        this.goodsPic = goodsPic;
    }

    public String getGoodsInfo() {
        return goodsInfo;
    }

    public void setGoodsInfo(String goodsInfo) {
        this.goodsInfo = goodsInfo;
    }

    public String getBrandName() {
        return brandName;
    }

    public void setBrandName(String brandName) {
        this.brandName = brandName;
    }

    public String getBrandNameEn() {
        return brandNameEn;
    }

    public void setBrandNameEn(String brandNameEn) {
        this.brandNameEn = brandNameEn;
    }

    public String getOrigin() {
        return origin;
    }

    public void setOrigin(String origin) {
        this.origin = origin;
    }

    public String getGoodsLength() {
        return goodsLength;
    }

    public void setGoodsLength(String goodsLength) {
        this.goodsLength = goodsLength;
    }

    public String getGoodsWidth() {
        return goodsWidth;
    }

    public void setGoodsWidth(String goodsWidth) {
        this.goodsWidth = goodsWidth;
    }

    public String getGoodsHeight() {
        return goodsHeight;
    }

    public void setGoodsHeight(String goodsHeight) {
        this.goodsHeight = goodsHeight;
    }

    public String getShelfLife() {
        return shelfLife;
    }

    public void setShelfLife(String shelfLife) {
        this.shelfLife = shelfLife;
    }

    public String getTemperatureType() {
        return temperatureType;
    }

    public void setTemperatureType(String temperatureType) {
        this.temperatureType = temperatureType;
    }

    public String getTemperatureStart() {
        return temperatureStart;
    }

    public void setTemperatureStart(String temperatureStart) {
        this.temperatureStart = temperatureStart;
    }

    public String getTemperatureEnd() {
        return temperatureEnd;
    }

    public void setTemperatureEnd(String temperatureEnd) {
        this.temperatureEnd = temperatureEnd;
    }

    public String getHumidityType() {
        return humidityType;
    }

    public void setHumidityType(String humidityType) {
        this.humidityType = humidityType;
    }

    public String getHumidityStart() {
        return humidityStart;
    }

    public void setHumidityStart(String humidityStart) {
        this.humidityStart = humidityStart;
    }

    public String getHumidityEnd() {
        return humidityEnd;
    }

    public void setHumidityEnd(String humidityEnd) {
        this.humidityEnd = humidityEnd;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(this.id);
        dest.writeString(this.goodsCode);
        dest.writeString(this.goodsName);
        dest.writeString(this.unit);
        dest.writeString(this.specification);
        dest.writeString(this.weight);
        dest.writeString(this.goodsNameTitle);
        dest.writeString(this.goodsBrandCode);
        dest.writeString(this.goodsPic);
        dest.writeString(this.goodsInfo);
        dest.writeString(this.brandName);
        dest.writeString(this.brandNameEn);
        dest.writeString(this.origin);
        dest.writeString(this.goodsLength);
        dest.writeString(this.goodsWidth);
        dest.writeString(this.goodsHeight);
        dest.writeString(this.shelfLife);
        dest.writeString(this.temperatureType);
        dest.writeString(this.temperatureStart);
        dest.writeString(this.temperatureEnd);
        dest.writeString(this.humidityType);
        dest.writeString(this.humidityStart);
        dest.writeString(this.humidityEnd);
    }

    protected CargoBaseModel(Parcel in) {
        this.id = in.readString();
        this.goodsCode = in.readString();
        this.goodsName = in.readString();
        this.unit = in.readString();
        this.specification = in.readString();
        this.weight = in.readString();
        this.goodsNameTitle = in.readString();
        this.goodsBrandCode = in.readString();
        this.goodsPic = in.readString();
        this.goodsInfo = in.readString();
        this.brandName = in.readString();
        this.brandNameEn = in.readString();
        this.origin = in.readString();
        this.goodsLength = in.readString();
        this.goodsWidth = in.readString();
        this.goodsHeight = in.readString();
        this.shelfLife = in.readString();
        this.temperatureType = in.readString();
        this.temperatureStart = in.readString();
        this.temperatureEnd = in.readString();
        this.humidityType = in.readString();
        this.humidityStart = in.readString();
        this.humidityEnd = in.readString();
    }

    public static final Creator<CargoBaseModel> CREATOR = new Creator<CargoBaseModel>() {
        @Override
        public CargoBaseModel createFromParcel(Parcel source) {
            return new CargoBaseModel(source);
        }

        @Override
        public CargoBaseModel[] newArray(int size) {
            return new CargoBaseModel[size];
        }
    };
}
